$package("itsm.request")
/**  
 * @fileOverview 请求进展及成本主函数
 * @author tan
 * @version 1.0  
 */  
 /**  
 * @author tan  
 * @constructor 请求进展及成本主函数
 * @description 请求进展及成本主函数
 * @date 2011-05-09
 * @since version 1.0 
 */
itsm.request.requestEventCost = function() 
{
	return {
		
		/**
		 * @description 保存
		 */
		saveEventCost:function(){
			var requestEventCost=new eventCost($('#requestDetails_requestNo').val(),'request');			
			requestEventCost.saveEventCost();
		},
		
		/**
		 * @description 新增
		 */
		addEventCost:function(){
			
			var requestEventCost=new eventCost($('#requestDetails_requestNo').val(),'request');	
			requestEventCost.addEventCost_win();
		},
		
		/**
		 * @description 编辑
		 */
		editEventCost:function(){
			var requestEventCost=new eventCost($('#requestDetails_requestNo').val(),'request');	
			requestEventCost.editEventCost_aff();
		},
		/**
		 * @description 删除
		 */
		deleteEventCost:function(){
			var requestEventCost=new eventCost($('#requestDetails_requestNo').val(),'request');	
			requestEventCost.deleteEventCost_aff();
		},
		
		selectRelatedEventTask:function(){
			
			var requestEventTask=new eventTask($('#requestDetails_requestNo').val(),'request');	
			requestEventTask.relatedEventTaskGrid();
		},
		
	

		init:function() 
		{
		}
	}
}();

$(document).ready(itsm.request.requestEventCost.init);




